###############################################################################
# BanGuest.pl                                                                 #
###############################################################################
# Ban Guest Names                                                             #
# Allows you to ban certain strings from being used in a guest's post name    #
# Version:        0.4 (YaBB 2.0/2.1)                                          #
# Released:       April 5, 2006                                               #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Ban Guest Admin Settings                                                    #
###############################################################################

LoadLanguage("BanGuest");
if (-e "$vardir/BanGuest.txt") { require "$vardir/BanGuest.txt"; }

sub ModifyBanGuest {
	&is_admin_or_gmod;
	
$yymain .= qq~
<table>
  <tr valign="top">
    <td class="titlebg" align="left">
      <form action="$adminurl?action=banguest2" method="post">
      <img src="$imagesdir/xx.gif" alt="$banguest_admin_txt{'1'}" border="0" />
      <b>$banguest_admin_txt{'1'}</b>
      <br /><span style="font-size: 11px; font-style: italic;">$banguest_admin_txt{'2'}</span>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="left">
      $banguest_admin_txt{'3'}
      <br /><span style="font-size: 11px; font-style: italic;">$banguest_admin_txt{'4'}</span>
    </td>
  </tr>
  <tr valign="top">
  	 <td class="windowbg2" align="left">
  		<textarea name="banguest_strings">~;
foreach $ban_name (@banguest_strings) {
	$yymain .= qq~$ban_name
~;
}
$yymain .= qq~</textarea>
	 </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="left">
      $banguest_admin_txt{'5'}
      <br /><span style="font-size: 11px;font-style: italic;">$banguest_admin_txt{'6'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      <textarea name="banguest_names">~;
foreach $ban_name (@banguest_names) {
	$yymain .= qq~$ban_name
~;
}
$yymain .= qq~</textarea>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg3" align="center">
      <input type="submit" name="submit" value="$banguest_admin_txt{'7'}" />
      </form>
    </td>
  </tr>
</table>
~;

	$yytitle = "$banguest_admin_txt{'1'}";
	$action_area = "banguest";
	&AdminTemplate;
	exit;
}

sub ModifyBanGuest2 {
	&is_admin_or_gmod;
if($FORM{'banguest_strings'}) {
	$banguest_strings = "\@banguest_strings = ('".$FORM{'banguest_strings'}."');";
	$banguest_strings =~ s/\r/', '/g;
	$banguest_strings =~ s/\n//g;
	$banguest_strings =~ s/, ''//g;
}
if($FORM{'banguest_names'}) {
	$banguest_names = "\@banguest_names = ('".$FORM{'banguest_names'}."');";
	$banguest_names =~ s/\r/', '/g;
	$banguest_names =~ s/\n//g;
	$banguest_names =~ s/, ''//g;
}
	
	$output = qq~###############################################################################
# BanGuest.txt                                                                #
###############################################################################
# Ban Guest Names                                                             #
# Variable Values For BanGuest                                                #
# Version:        0.3 (YaBB 2.0/2.1)                                          #
# Released:       April 5, 2006                                               #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# BanGuest Variable Definitions                                               #
###############################################################################

$banguest_strings
$banguest_names
~;

$output .= q~
1;~;

fopen(BANGUESTSETTINGS, ">$vardir/BanGuest.txt");
	print BANGUESTSETTINGS $output;
	fclose(BANGUESTSETTINGS); 
 	$yySetLocation = qq~$adminurl?action=banguest~;
	&redirectexit;
}